package com.hzya.frame.cbs8.dto.req;

/**
 * @Description 代发代扣明细
 * @Author xiangerlin
 * @Date 2024/6/18 13:45
 **/
public class PaymentApplyAgentDTO {
    //每笔明细金额
    private String dtlAmount;
    //收款账号
    private String dtlRevAccount;
    //联行号 同行可不传，跨行必传
    private String dtlCnapsCode;
    //收款账户名称
    private String dtlRevName;
    //收款开户行 ,如果传的联行号能匹配到对应到开户行，cbs8会自动带出
    private String dtlRevBankName;



    //是否跨行 Y跨行 N同行
    private String dtlBankFlag;
    //明细用途
    private String dtlPurpose;
    //明细摘要
    private String dtlRemark;
    //收款账号银行号｜地区码
    private String dtlRevBankArea;
    //收款开户地
    private String dtlRevBankCity;
    //明细序号，从1开始递增
    private int dtlSeqNum;
    //备用字段 一共6个
    private String dtlExtend1;

    public String getDtlAmount() {
        return dtlAmount;
    }

    public void setDtlAmount(String dtlAmount) {
        this.dtlAmount = dtlAmount;
    }

    public String getDtlRevAccount() {
        return dtlRevAccount;
    }

    public void setDtlRevAccount(String dtlRevAccount) {
        this.dtlRevAccount = dtlRevAccount;
    }

    public String getDtlCnapsCode() {
        return dtlCnapsCode;
    }

    public void setDtlCnapsCode(String dtlCnapsCode) {
        this.dtlCnapsCode = dtlCnapsCode;
    }

    public String getDtlRevName() {
        return dtlRevName;
    }

    public void setDtlRevName(String dtlRevName) {
        this.dtlRevName = dtlRevName;
    }

    public String getDtlRevBankName() {
        return dtlRevBankName;
    }

    public void setDtlRevBankName(String dtlRevBankName) {
        this.dtlRevBankName = dtlRevBankName;
    }

    public String getDtlBankFlag() {
        return dtlBankFlag;
    }

    public void setDtlBankFlag(String dtlBankFlag) {
        this.dtlBankFlag = dtlBankFlag;
    }

    public String getDtlPurpose() {
        return dtlPurpose;
    }

    public void setDtlPurpose(String dtlPurpose) {
        this.dtlPurpose = dtlPurpose;
    }

    public String getDtlRemark() {
        return dtlRemark;
    }

    public void setDtlRemark(String dtlRemark) {
        this.dtlRemark = dtlRemark;
    }

    public String getDtlRevBankArea() {
        return dtlRevBankArea;
    }

    public void setDtlRevBankArea(String dtlRevBankArea) {
        this.dtlRevBankArea = dtlRevBankArea;
    }

    public String getDtlRevBankCity() {
        return dtlRevBankCity;
    }

    public void setDtlRevBankCity(String dtlRevBankCity) {
        this.dtlRevBankCity = dtlRevBankCity;
    }

    public int getDtlSeqNum() {
        return dtlSeqNum;
    }

    public void setDtlSeqNum(int dtlSeqNum) {
        this.dtlSeqNum = dtlSeqNum;
    }

    public String getDtlExtend1() {
        return dtlExtend1;
    }

    public void setDtlExtend1(String dtlExtend1) {
        this.dtlExtend1 = dtlExtend1;
    }
}
